diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/test/functional/extensions.py chromium-browser-12.0.742.112~r90304/src/chrome/test/functional/extensions.py
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/test/functional/extensions.py	2011-06-08 00:39:37.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/test/functional/extensions.py	2011-07-16 15:32:17.108000252 +0200
@@ -153,14 +153,15 @@
     # ensure that the only app present in the NTP is the "Web Store" app.  Then,
     # we update the extensions, and verify that afterward, the two promo apps
     # are installed in addition to the "Web Store" app.
-    app_info = self.GetNTPApps()
-    self.assertTrue(len(app_info) == 1 and 'name' in app_info[0] and
-                    app_info[0]['name'] == 'Chrome Web Store',
-                    msg='Web Store not present in NTP in fresh profile.')
-    self.UpdateExtensionsNow()
-    app_info = self.GetNTPApps()
-    self.assertEqual(len(app_info), 3,
-                     msg='Error verifying promo apps after extension update.')
+    #app_info = self.GetNTPApps()
+    #self.assertTrue(len(app_info) == 1 and 'name' in app_info[0] and
+    #                app_info[0]['name'] == 'Chrome Web Store',
+    #                msg='Web Store not present in NTP in fresh profile.')
+    #self.UpdateExtensionsNow()
+    #app_info = self.GetNTPApps()
+    #self.assertEqual(len(app_info), 3,
+    #                 msg='Error verifying promo apps after extension update.')
+		return
 
 
 if __name__ == '__main__':
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/test/testing_profile.cc chromium-browser-12.0.742.112~r90304/src/chrome/test/testing_profile.cc
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/test/testing_profile.cc	2011-06-08 00:42:25.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/test/testing_profile.cc	2011-07-16 15:30:24.424000249 +0200
@@ -772,10 +772,6 @@
   return NULL;
 }
 
-PromoCounter* TestingProfile::GetInstantPromoCounter() {
-  return NULL;
-}
-
 policy::ProfilePolicyConnector* TestingProfile::GetPolicyConnector() {
   return NULL;
 }
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/test/testing_profile.h chromium-browser-12.0.742.112~r90304/src/chrome/test/testing_profile.h
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/test/testing_profile.h	2011-06-08 00:42:25.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/test/testing_profile.h	2011-07-16 15:30:35.124000252 +0200
@@ -250,7 +250,6 @@
   virtual WebKitContext* GetOffTheRecordWebKitContext();
   virtual void MarkAsCleanShutdown() {}
   virtual void InitExtensions(bool extensions_enabled) {}
-  virtual void InitPromoResources() {}
   virtual void InitRegisteredProtocolHandlers() {}
   virtual NTPResourceCache* GetNTPResourceCache();
 
@@ -283,7 +282,6 @@
   virtual CloudPrintProxyService* GetCloudPrintProxyService();
   virtual ChromeBlobStorageContext* GetBlobStorageContext();
   virtual ExtensionInfoMap* GetExtensionInfoMap();
-  virtual PromoCounter* GetInstantPromoCounter();
   virtual policy::ProfilePolicyConnector* GetPolicyConnector();
   virtual ChromeURLDataManager* GetChromeURLDataManager();
   virtual prerender::PrerenderManager* GetPrerenderManager();
